/**
 * eff_welldown
 */
var eff_well = cc.Class({
	extends: cc.Component,

	properties: {
		eff_welldown: {
			default: null,
			type: cc.Animation,
			displayName: "撒花特效"
		},
	},

	ctor: function () {
		eff_well.inst = this;
		g.eff_well = eff_well;
	},

	//显示特效
	showEff: function () {
		this.node.active = true;
		this.eff_welldown.play();
		//播放撒花音效
		g.speaker.inst.play_congratulation();
		setTimeout(() => {
			this.node.active = false;
		}, 2000)
	}
});
